<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\FlightRecord;

class FlightRecordController extends Controller
{
    public function getAll(Request $request){
        $flightRecords  = FlightRecord::all();
        return view("flightRecord", array("flightRecords" => $flightRecords));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["flight_id" => "required",
        "client_id" => "required",
        "tariff_id" => "required"]);

        $new_flightRecord = FlightRecord::create($data);
        return $this->getAll($request);
    }
}
