<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\planeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/plane', [planeController::class, "getAll"])->name("Самолеты");
Route::post('/plane/create', [planeController::class, "createNew"]);
Route::get('/plane/create', function() {
    return view('planeForm');
})->name("Создание")->middleware('auth');

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');
