<?php

namespace App\Http\Controllers;

use App\Models\Airport;
use Illuminate\Http\Request;
use App\Models\Plane;

class AirportController extends Controller
{
    public function getAll(Request $request){
        $airports  = Airport::all();
        return view("airport", array("airports" => $airports));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["name" => "required|max:255",
        "city" => "required|max:255",]);

        $new_airport = Airport::create($data);
        return $this->getAll($request);
    }
}
