<?php

namespace App\Http\Controllers;

use App\Models\Client;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    public function getAll(Request $request){
        $clients  = Client::all();
        return view("client", array("clients" => $clients));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["lastname" => "required|max:255",
        "firstname" => "required|max:255",
        "middlename" => "required|max:255",
        "passport_data" => "required|min:10|max:10",
        "birth_date" => "required|date_format:Y-m-d",
        "gender" => "required",
        "email" => "required|max:255"
        ]);

        $new_airport = Client::create($data);
        return $this->getAll($request);
    }
}
