<?php

namespace App\Http\Controllers;

use App\Models\Crew;
use Illuminate\Http\Request;

class CrewController extends Controller
{
    public function getAll(Request $request){
        $crews  = Crew::all();
        return view("crew", array("crews" => $crews));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["staff_id" => "required",
        "flight_id" => "required"]);

        if (!isset($data['commander'])) 
            $data['commander'] = 1;
        else
            $data['commander'] = 0;
        $new_crew = Crew::create($data);
        return $this->getAll($request);
    }
}
