<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Flight;

class FlightController extends Controller
{
    public function getAll(Request $request){
        $flights  = Flight::all();
        return view("flight", array("flights" => $flights));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["flight_id" => "required",
        "route_id" => "required",
        "departure" => "required|date_format:Y-m-d H:i:s",
        "arrival" => "required|date_format:Y-m-d H:i:s",
        "status" => "required"]);

        $new_flight = Flight::create($data);
        return $this->getAll($request);
    }
}
