<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Route;

class RouteController extends Controller
{
    public function getAll(Request $request){
        $routes  = Route::all();
        return view("route", array("routes" => $routes));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["departure_airport_id" => "required",
        "arrival_airport_id" => "required",
        "flight_duration" => "required|date_format:H:i",
        "price" => "required"]);

        $new_route = Route::create($data);
        return $this->getAll($request);
    }
}
