<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Plane;
use Illuminate\Auth\Events\Validated;
use App\Http\Requests\PlaneRequest;

class planeController extends Controller
{
    public function getAll(Request $request){
        $planes  = Plane::all();
        return view("plane", array("planes" => $planes));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["model" => "required|max:255",
        "production_date" => "required|date_format:Y-m-d",
        "operating_date" => "required|date_format:Y-m-d"]);

        if (!isset($data['serviceability'])) 
            $data['serviceability'] = 1;
        else
            $data['serviceability'] = 0;
        $new_plane = Plane::create($data);
        return $this->getAll($request);
    }



}
